com.google.gwt.dom.client

## Enum Style.TextJustify

- java.lang.Object
- - java.lang.Enum<Style.TextJustify>
  - - com.google.gwt.dom.client.Style.TextJustify

All Implemented Interfaces:
  Style.HasCssName, java.io.Serializable, java.lang.Comparable<Style.TextJustify>

Enclosing class:
  Style

    public static enum Style.TextJustify
    extends java.lang.Enum<Style.TextJustify>
    implements Style.HasCssName

Enum for the 'text-justify' CSS3 property.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AUTO`
`DISTRIBUTE`
`INTER_CLUSTER`
`INTER_IDEOGRAPH`
`INTER_WORD`
`KASHIDA`
`NONE`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract java.lang.String` `getCssName()` Gets the CSS name associated with this value.
`static Style.TextJustify` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Style.TextJustify[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AUTO

    public static final Style.TextJustify AUTO

#### DISTRIBUTE

    public static final Style.TextJustify DISTRIBUTE

#### INTER_CLUSTER

    public static final Style.TextJustify INTER_CLUSTER

#### INTER_IDEOGRAPH

    public static final Style.TextJustify INTER_IDEOGRAPH

#### INTER_WORD

    public static final Style.TextJustify INTER_WORD

#### KASHIDA

    public static final Style.TextJustify KASHIDA

#### NONE

    public static final Style.TextJustify NONE

### Method Detail

#### values

    public static Style.TextJustify[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Style.TextJustify c : Style.TextJustify.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Style.TextJustify valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getCssName

    public abstract java.lang.String getCssName()

Description copied from interface: `Style.HasCssName`
Gets the CSS name associated with this value.

Specified by:
  `getCssName` in interface `Style.HasCssName`